# Class CIM_TrapSourceForSNMPService
extends CIM_ServiceSAPDependency

TrapSourceForSNMPService specifies the protocol endpoint/interface (and hence its IP address) from which traps originate.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency
|
+--CIM_TrapSourceForSNMPService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | TrapSourceForSNMPService specifies the protocol endpoint/interface (and hence its IP address) from which traps originate.
UMLPackagePath | string | CIM::Network::SNMP
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_TrapSourceForSNMPService | CIM_ProtocolEndpoint
Dependent | CIM_TrapSourceForSNMPService | CIM_SNMPService

## Class Methods